#
# Makefile for the Linux SS7.
#
# Note! Dependencies are done automagically by 'make dep', which also
# removes any old dependencies. DON'T put your own dependencies here
# unless it's something special (ie not a .c file).
#
# Note 2! The CFLAGS definition is now in the main makefile...


CFLAGS = -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strict-aliasing
MODFLAGS += -DMODULE
#MODFLAGS += -DMODVERSIONS # -include $(HPATH)/linux/modversions.h
MODFLAGS += -DEXPORT_SYMTAB
CFLAGS += $(MODFLAGS)
#CFLAGS += -D__KERNEL__ -I/home/brian/openss7/linux/include -I/usr/src/linux/include
CFLAGS += -D__KERNEL__ -I/usr/src/linux/include -I/home/brian/openss7/linux/include

TOPDIR = /home/brian/openss7/linux

O_TARGET := ss7link.o
O_OBJS	 := ss7link_prot.o ss7link_subr.o
M_OBJS   := $(O_TARGET)

OX_OBJS  += ss7link_iface.o

include $(TOPDIR)/Rules.make

tar:
		tar -cvf /dev/f1 .

